"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.mockList = mockList;
exports.automockLists = automockLists;
exports.MockList = void 0;

var _graphql = require("graphql");

class MockList {
  constructor(length, mockFunction) {
    this.length = length; // https://stackoverflow.com/questions/54873504/how-to-type-a-generic-function-that-returns-subtypes
    // $FlowFixMe Figure out to parameterize this generic class and default to () => ({})

    this.mockFunction = mockFunction ? mockFunction : () => ({});
  }

}

exports.MockList = MockList;

function mockList(size, itemMock) {
  return function () {
    return new MockList(size, itemMock);
  };
}

function automockLists(parentType, field) {
  const nullableType = (0, _graphql.getNullableType)(field.type);

  if (nullableType instanceof _graphql.GraphQLList) {
    return mockList(2);
  }
}
//# sourceMappingURL=list.js.map